gnutls_hmac_init(3)

NAME
gnutls_hmac_init - API function

SYNOPSIS
#include <gnutls/crypto.h>

int gnutls_hmac_init(gnutls_hmac_hd_t * dig, gnutls_mac_algorithm_t algorithm, const void * key, size_t keylen);

ARGUMENTS

gnutls_hmac_hd_t * dig
    is a gnutls_hmac_hd_t structure.

gnutls_mac_algorithm_t algorithm
    the HMAC algorithm to use

const void * key
    The key to be used for encryption

size_t keylen
    The length of the key

DESCRIPTION
This function will initialize an context that can be used to produce a Message Authentication Code (MAC) of data. This will effectively use the current crypto backend in use by gnutls or the cryptographic accelerator in use. Note that despite the name of this function, it can be used for other MAC algorithms than HMAC.

RETURNS
Zero or a negative error code on error.

SINCE
2.10.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/